

from sqlalchemy import create_engine, Column, Integer, String, MetaData,DateTime,Text,ForeignKey
from sqlalchemy.ext.declarative import declarative_base
from sqlalchemy.orm import sessionmaker
from agent.db.database import Base
from datetime import datetime



class User(Base):
    __tablename__ = 'users'
    id = Column(Integer, primary_key=True)
    username = Column(String(32), nullable=False)
    full_name = Column(String(64))
    email = Column(String(100), nullable=False)
    hashed_password = Column(String(64), nullable=True)
    status = Column(Integer, default=0)
    
class Session(Base):
    __tablename__ = 'sessions'
    id = Column(Integer, primary_key=True)
    user_id = Column(Integer, ForeignKey('users.id'))
    session_id = Column(String(64), nullable=False)
    username = Column(String(32), nullable=False)
    full_name = Column(String(64))
    created = Column(DateTime, default=datetime.now())
    updated = Column(DateTime, default=datetime.now())